<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ShopCode extends BaseModel
{
    use HasFactory;

    public $fillable = [];
    public $guarded = [];

    public function log()
    {
        return $this->hasOne(ShopCodeLog::class, 'code_id', 'id');
    }
}
